/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing FixedValueForResourceManipulationDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class FixedValueForResourceManipulationDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for FixedValueForResourceManipulationDto
        //private FixedValueForResourceManipulationDto instance;

        public FixedValueForResourceManipulationDtoTests()
        {
            // TODO uncomment below to create an instance of FixedValueForResourceManipulationDto
            //instance = new FixedValueForResourceManipulationDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of FixedValueForResourceManipulationDto
        /// </summary>
        [Fact]
        public void FixedValueForResourceManipulationDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" FixedValueForResourceManipulationDto
            //Assert.IsType<FixedValueForResourceManipulationDto>(instance);
        }

        /// <summary>
        /// Test the property 'Value'
        /// </summary>
        [Fact]
        public void ValueTest()
        {
            // TODO unit test for the property 'Value'
        }

        /// <summary>
        /// Test the property 'Type'
        /// </summary>
        [Fact]
        public void TypeTest()
        {
            // TODO unit test for the property 'Type'
        }

        /// <summary>
        /// Test the property 'Datatype'
        /// </summary>
        [Fact]
        public void DatatypeTest()
        {
            // TODO unit test for the property 'Datatype'
        }

        /// <summary>
        /// Test the property 'TargetClass'
        /// </summary>
        [Fact]
        public void TargetClassTest()
        {
            // TODO unit test for the property 'TargetClass'
        }
    }
}
